package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.TEntity;
import com.ynet.life.sujrb.cache.CacheService;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import java.util.StringTokenizer;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/LoadCacheToContext.class */
public class LoadCacheToContext extends LifeAction {
    private String dataName;
    private String icollName;
    private String delimCharField = "|";
    private ArrayList<String> dataNameList = new ArrayList<>();
    private ArrayList<String> icollList = new ArrayList<>();

    public String execute(Context context) throws GENEException {
        Map<String, Object> data;
        String customerId = (String) context.getDataValue(TEntity.customerIdFieldname);
        String bankId = (String) context.getDataValue(TEntity.bankIdFieldName);
        new HashMap();
        String cacheServiceFlag = LifeStandard.getSelfDefineSettingsValue("cacheServiceFlag");
        if ("true".equals(cacheServiceFlag)) {
            data = ((CacheService) context.getService("CacheService")).load(customerId, bankId);
        } else {
            data = (Map) context.get("bsnDataMap");
        }
        if (data != null) {
            int len = this.dataNameList.size();
            for (int i = 0; i < len; i++) {
                String key = this.dataNameList.get(i);
                context.put(key, data.get(key));
            }
            int len2 = this.icollList.size();
            for (int i2 = 0; i2 < len2; i2++) {
                String key2 = this.icollList.get(i2);
                Object obj = data.get(key2);
                if (obj instanceof IndexedCollection) {
                    context.addDataElement((IndexedCollection) data.get(key2));
                }
                if (obj instanceof KeyedCollection) {
                    context.addDataElement((KeyedCollection) data.get(key2));
                }
            }
            return "0";
        }
        return "0";
    }

    public void setDataName(String dataName) {
        this.dataNameList = new ArrayList<>();
        StringTokenizer toke = new StringTokenizer(dataName, this.delimCharField);
        while (toke.hasMoreElements()) {
            this.dataNameList.add(((String) toke.nextElement()).trim());
        }
    }

    public void setIcollName(String icollName) {
        this.icollList = new ArrayList<>();
        StringTokenizer toke = new StringTokenizer(icollName, this.delimCharField);
        while (toke.hasMoreElements()) {
            this.icollList.add(((String) toke.nextElement()).trim());
        }
    }
}
